QGIS Application - Bug report #7932
Identify Features freezes when a polygon has many interior rings
2013-05-28 06:33 PM - Joshua Brooks

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:1.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16802
Description

Using the 'identify features' tool on a polygon with a large number of interior rings will cause QGIS to become very slow while drawing the
red line indicating the selected feature and lock up if there are too many interior rings.

More than 200 interior rings causes a noticable delay, more than about 1000 will cause a lockup.
This does not occur when using the 'Select Features' tool, | believe it has to do with how an identified feature is drawn.
This is on a recent Linux X86-64 system using a PostGIS datasource, I've tested with a shapefile and had the same result.

History

#1 - 2014-06-21 05:35 AM - Jiirgen Fischer
- Category set to GUI

#2 - 2014-06-21 06:26 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Open to Closed

it is ok on latest master, reopen if necessary.
